I think that there is a bug in RhinoDoc.BeforeTransformObjects event. It seems that the event is fired only if the transformation of the objects is done directly by the user using the Rhino commands. Instead, if I try to transform the document’s objects with
doc.Objects.Transform(obj_ref, xform, true)
in a custom command, the event RhinoDoc.BeforeTransformObjects is not fired.
Hi @dale ,
Shouldn’t RhinoDoc.BeforeTransformObjects get called on an undo of a transform as well? Or I am missing some ceremonial code to get it to work properly?
Quick gh example, where it only gets triggered on the transform but not when undoing it.